#include <stdio.h>
#include <stdlib.h>

int a[200000];

void Qsort(int a[],int m,int v){
    if(m<v){
        int b=a[m],p;
        p=slozi(a,b,m,v);
        a[m]=a[p];
        a[p]=b;
        Qsort(a,m,p-1);
        Qsort(a,p+1,v);
    }
}

int slozi(int a[],int b,int m,int v){
    int p;
    m++;
    while(m<=v){
        if(a[m]<=b){
            m++;
        }
        else if(a[v]>b){
            v--;
        }
        else{
            p=a[m];
            a[m]=a[v];
            a[v]=p;
            m++;
            v--;
        }
    }
    return v;
}

int veceodx(int n,int a[],int x){
    int l=0,d=n,s;

    while(l<d){
        s=l/2+d/2;
        if(a[s]<x){
            l=s+1;
        }
        else{
            d=s;
        }
    }
    return l;
}

int main()
{
    int n,q,b,p,r=0;
    scanf("%d%d",&n,&q);
    for(int i=0;i<n;i++){
        scanf("%d",&a[i]);
    }
    Qsort(a,0,n-1);
    for(int i=0;i<q;i++){
        scanf("%d",&b);
        r=0;
        p=veceodx(n,a,b);
        if(a[p]!=b){
            r++;
        }
        if(p>n/2+1){
            printf("%d\n",2*p-n+r);
        }
        else if(p<n/2+1){
            printf("%d\n",n-2*p-2+r);
        }
        else{
            printf("0\n");
        }
    }
    return 0;
}